PassThrough Requests for getting the Job related fields

Sample PassThrough requeats for getting the list of possible values of officeId field in create job Api for Recruitee.

List Locations

Use the id field, in the response, as the officeId in create job api.

A cURL request could look like this:

curl --location 'https://api.getknit.dev/v1.0/passthrough' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'X-Knit-Integration-Id: <YOUR_INTEGRATION_ID>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "method": "GET",
    "path": "/locations"
}'

and the response could look like the following:

{
    "success": true,
    "data": {
        "response": {
            "body": "{\"meta\":{\"limit\":1000,\"page\":1,\"total_count\":1},\"locations\":[{\"id\":260795,\"name\":\"Amsterdam\",\"is_valid\":true,\"state_name\":\"Noord-Holland\",\"updated_at\":\"2026-01-06T05:19:24.279763Z\",\"city\":\"Amsterdam\",\"note\":null,\"country_code\":\"NL\",\"created_at\":\"2026-01-06T05:19:24.279763Z\",\"archived_at\":null,\"lang_code\":\"en\",\"postal_code\":null,\"state_code\":\"NH\",\"street\":null,\"full_address\":\"Netherlands, Noord-Holland, Amsterdam\"}]}",
            "headers": {
                "cache-control": "max-age=0, private, must-revalidate",
                "content-type": "application/json; charset=utf-8",
                "date": "Mon, 12 Jan 2026 14:30:30 GMT",
                "etag": "W/\"d43e1725bcee7a7befc75d23d259cc04\"",
                "server": "Cowboy",
                "strict-transport-security": "max-age=31536000",
                "vary": "accept-encoding",
                "x-content-type-options": "nosniff",
                "x-ratelimit-limit": "1000",
                "x-ratelimit-remaining": "999",
                "x-ratelimit-reset": "60",
                "x-recruitee-client": "None",
                "x-recruitee-env": "None",
                "x-recruitee-frontend-path": "None",
                "x-recruitee-partner-id": "None",
                "x-recruitee-partner-name": "None",
                "x-recruitee-realtime-event": "None",
                "x-recruitee-startup": "None",
                "x-request-id": "GIoCNRwZIj_CfG8HPu5H",
                "x-robots-tag": "noindex, nofollow",
                "Via": "1.1 google",
                "Alt-Svc": "h3=\":443\"; ma=2592000,h3-29=\":443\"; ma=2592000",
                "content-length": "419"
            }
        }
    }
}